Bug 84060 - I18N / A11Y - Several UI dialogs cannot be resized
I18N / A11Y - Several UI dialogs cannot be resized
Status: RESOLVED WORKSFORME
Product: uml
Classification: Unclassified
Component: General
5.x
PC Windows ME/2000
: P2 (vote)
: 6.x
Assigned To: Kris Richards
issues@uml
GRIFFIN_CANDIDATE
: A11Y, I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 20:05 UTC by bugbridge
Modified: 2007-07-17 17:57 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
reverse engineering dialog (29.36 KB, image/jpeg)
2006-09-01 20:07 UTC, Peter Lam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugbridge 2006-09-01 20:05:28 UTC
Original status: 4-Defer; Suggested Status: RESOLVED (Resolution:REMIND)

Original Target Release: bow_dev; Suggested Target Milestone : 5.5

These items should be added to the Keywords: A11Y
Original submitter: kfrank

Description:
J3213
Note - also A11Y considerations

Several of the UI dialogs in the modeling module cannot be resized (via
resize handle) once opened. This
behavior is inconcistent with behavior of IDE specific dialogs
(note - user should not resize to show all of a dialog, it should
happen for user)
.

For larger fontsizes (ex. 18), text in some of these dialogs may become
truncated. Ex, "Create New
diagram","CDFS operation", "Select Methods to Redefine"
 dialogs. This situation could also happen if longer labels/messages due
to translation.


The following dialogs cannot be resized and/or might not show all their
contents if larger fontsize used and/or if translated labels longer than
en ones
(there are no images attached here-it is obvious by running ide with -fontsize 18)

-Save Modified Diagram

-Reverse Engineering dialog (see attached)

-Create Diagram from Selected (New... dialog)

-Delete Associated Source file

-General File->New... wizard

-Print Setup
10/9/04 20:48 GMT

Evaluation:
FIced in the course of fixing the individual bugs
10/9/04 20:48 GMT


Comments:

Verified in BOW build 12 (nightly 20041025) under windows 2000 and solaris 9 sparc. 

-Reverse Engineering dialog
Windows version wasn't fixed (5099113_win2.zip).
Solaris version is fixed.

-Delete Element 
Wrong font size in windows version.

-General File->New... wizard
Wasn't fixed under windows.
solaris version is fixed.

-Print Setup and Pring Diagram setup 
Were not fixed under win and solaris.
Comment 1 Peter Lam 2006-09-01 20:07:05 UTC
Created attachment 33523 [details]
reverse engineering dialog
Comment 2 Kris Richards 2007-01-04 21:11:36 UTC
changed to p3 to adhere to Netbeans priority guidelines.
Comment 3 Kris Richards 2007-07-17 17:57:05 UTC
with current ui changes, this is no longer a problem.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo